"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _ = _interopRequireDefault(require("./"));

var serverUtils = _interopRequireWildcard(require("./util"));

jest.mock('source-map-support');
jest.mock('mwp-config', function () {
  var config = require.requireActual('mwp-config');

  config.package = {
    agent: 'TEST_AGENT '
  };
  return config;
});
describe('server', function () {
  it('resolves with the return value of serverUtils.server called with expected args', function () {
    var expectedServer = 'foo';
    var fooRoute = {
      path: '/foo'
    };
    var fooPlugin = {
      register: 'foo'
    };
    var routes = [fooRoute];
    var plugins = [fooPlugin];
    spyOn(serverUtils, 'server').and.returnValue(Promise.resolve(expectedServer));
    return (0, _.default)({}, {
      routes: routes,
      plugins: plugins
    }).then(function (returnedServer) {
      var callArgs = serverUtils.server.calls.mostRecent().args;
      expect(callArgs).toEqual([jasmine.any(Object), // serverConfig
      jasmine.any(Array), // routes
      jasmine.any(Array), // plugins
      jasmine.any(Object)]);
      expect(callArgs[1].indexOf(fooRoute)).toBeGreaterThan(-1);
      expect(callArgs[2].indexOf(fooPlugin)).toBeGreaterThan(-1);
      expect(returnedServer).toBe(expectedServer);
    });
  });
});
//# sourceMappingURL=index.test.js.map